Bug 1236495 - [abrt] WARNING: CPU: 2 PID: 0 at drivers/net/wireless/iwlwifi/pcie/trans.c:1385 iwl_trans_pcie_grab_nic_access+0x128/0x140 [iwlwifi]() [iwlwifi]
Summary: [abrt] WARNING: CPU: 2 PID: 0 at drivers/net/wireless/iwlwifi/pcie/trans.c:13...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fedora-kernel-wireless-iwl
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f989d49af60e56f320de5f9a503...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-29 08:49 UTC by Dan Loomis
Modified: 2016-09-25 03:38 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-25 03:38:34 UTC


Attachments (Terms of Use)
File: dmesg (218.03 KB, text/plain)
2015-06-29 08:49 UTC, Dan Loomis
no flags Details

Description Dan Loomis 2015-06-29 08:49:04 UTC
Description of problem:
Was watching a video on youtube using Firefox.   Fault occured near end of video.   Wifi connection lost and could not be recovered until after rebooting system.

Additional info:
reporter:       libreport-2.6.0
WARNING: CPU: 2 PID: 0 at drivers/net/wireless/iwlwifi/pcie/trans.c:1385 iwl_trans_pcie_grab_nic_access+0x128/0x140 [iwlwifi]()
Timeout waiting for hardware access (CSR_GP_CNTRL 0xffffffff)
Modules linked in: nls_utf8 udf crc_itu_t loop ccm rfcomm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep arc4 intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp kvm tpm_infineon iwlmvm crct10dif_pclmul crc32_pclmul crc32c_intel iTCO_wdt mac80211 ppdev iTCO_vendor_support ghash_clmulni_intel hp_wmi sparse_keymap snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi
 snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep iwlwifi snd_seq uvcvideo snd_seq_device videobuf2_vmalloc btusb videobuf2_core cfg80211 snd_pcm bluetooth videobuf2_memops serio_raw v4l2_common videodev snd_timer rtsx_pci_ms i2c_i801 snd mei_me media hid_logitech_hidpp memstick rfkill soundcore mei lpc_ich parport_pc wmi parport ie31200_edac hp_accel shpchp edac_core lis3lv02d tpm_tis input_polldev hp_wireless tpm video nfsd auth_rpcgss nfs_acl lockd grace sunrpc mmc_block uas usb_storage hid_logitech_dj 8021q garp stp llc mrp radeon rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper ttm drm e1000e rtsx_pci mfd_core ptp pps_core
CPU: 2 PID: 0 Comm: swapper/2 Not tainted 4.0.5-300.fc22.x86_64 #1
Hardware name: Hewlett-Packard HP ZBook 17 G2/2255, BIOS M70 Ver. 01.07 02/26/2015
 0000000000000000 211fe75019f206d3 ffff88089dc83c68 ffffffff817834f4
 0000000000000000 ffff88089dc83cc0 ffff88089dc83ca8 ffffffff8109c66a
 ffff88089dc83c88 ffff880878270000 0000000000000000 ffff880878273c30
Call Trace:
 <IRQ>  [<ffffffff817834f4>] dump_stack+0x45/0x57
 [<ffffffff8109c66a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff8109c6f5>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa0597778>] iwl_trans_pcie_grab_nic_access+0x128/0x140 [iwlwifi]
 [<ffffffffa059511e>] iwl_trans_pcie_read_mem+0x3e/0xd0 [iwlwifi]
 [<ffffffffa05912ef>] iwl_pcie_txq_stuck_timer+0xcf/0x3b0 [iwlwifi]
 [<ffffffff81618e7d>] ? intel_pstate_timer_func+0x31d/0x3f0
 [<ffffffffa0591220>] ? iwl_pcie_txq_unmap+0x100/0x100 [iwlwifi]
 [<ffffffff81102ec9>] call_timer_fn+0x39/0x110
 [<ffffffffa0591220>] ? iwl_pcie_txq_unmap+0x100/0x100 [iwlwifi]
 [<ffffffff8110372a>] run_timer_softirq+0x24a/0x300
 [<ffffffff810a0cbb>] __do_softirq+0x10b/0x2d0
 [<ffffffff810a10c5>] irq_exit+0x145/0x150
 [<ffffffff8178c986>] smp_apic_timer_interrupt+0x46/0x60
 [<ffffffff8178a9ed>] apic_timer_interrupt+0x6d/0x80
 <EOI>  [<ffffffff81619a0d>] ? cpuidle_enter_state+0x5d/0x170
 [<ffffffff816199fd>] ? cpuidle_enter_state+0x4d/0x170
 [<ffffffff81619b57>] cpuidle_enter+0x17/0x20
 [<ffffffff810df3f4>] cpu_startup_entry+0x314/0x430
 [<ffffffff8111286c>] ? clockevents_register_device+0xbc/0x130
 [<ffffffff8104aa15>] start_secondary+0x1a5/0x1f0

Comment 1 Dan Loomis 2015-06-29 08:49:12 UTC
Created attachment 1044251 [details]
File: dmesg

Comment 2 Dan Loomis 2015-09-01 04:04:52 UTC
Description of problem:
Was watching a Youtube video.   Screen flickered and the video went black.   I tried turning the wifi off and on but after turning it on it did not detect any networks.   Shut down and restarted the system.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.2
cmdline:        BOOT_IMAGE=/vmlinuz-4.1.6-200.fc22.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.lvm.lv=fedora/root rhgb quiet LANG=en_US.UTF-8
kernel:         4.1.6-200.fc22.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 0 at drivers/net/wireless/iwlwifi/pcie/trans.c:1413 iwl_trans_pcie_grab_nic_access+0x128/0x140 [iwlwifi]()
Timeout waiting for hardware access (CSR_GP_CNTRL 0xffffffff)
Modules linked in: ccm rfcomm fuse cmac xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep arc4 intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp iTCO_wdt iTCO_vendor_support hp_wmi ppdev sparse_keymap iwlmvm tpm_infineon snd_hda_codec_realtek kvm snd_hda_codec_generic mac80211 snd_hda_codec_hdmi snd_hda_intel snd_hda_controller snd_hda_codec crct10dif_pclmul snd_hda_core
 snd_hwdep crc32_pclmul crc32c_intel snd_seq btusb snd_seq_device btbcm btintel ghash_clmulni_intel iwlwifi uvcvideo snd_pcm bluetooth cfg80211 videobuf2_vmalloc videobuf2_core videobuf2_memops v4l2_common videodev snd_timer i2c_i801 snd mei_me rtsx_pci_ms media memstick rfkill mei lpc_ich soundcore parport_pc parport wmi ie31200_edac hp_accel tpm_tis edac_core lis3lv02d tpm input_polldev shpchp video hp_wireless nfsd auth_rpcgss nfs_acl lockd grace sunrpc mmc_block hid_logitech_hidpp uas usb_storage hid_logitech_dj 8021q garp stp llc mrp amdkfd amd_iommu_v2 radeon rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper ttm e1000e drm serio_raw rtsx_pci ptp mfd_core pps_core
CPU: 0 PID: 0 Comm: swapper/0 Not tainted 4.1.6-200.fc22.x86_64 #1
Hardware name: Hewlett-Packard HP ZBook 17 G2/2255, BIOS M70 Ver. 01.07 02/26/2015
 0000000000000000 da0c5cda993cf886 ffff88089dc03c68 ffffffff8179b97d
 0000000000000000 ffff88089dc03cc0 ffff88089dc03ca8 ffffffff810a165a
 0000000000000000 ffff880058668000 0000000000000000 ffff88005866bcb0
Call Trace:
 <IRQ>  [<ffffffff8179b97d>] dump_stack+0x45/0x57
 [<ffffffff810a165a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff810a16e5>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa07290b8>] iwl_trans_pcie_grab_nic_access+0x128/0x140 [iwlwifi]
 [<ffffffffa07268de>] iwl_trans_pcie_read_mem+0x3e/0xd0 [iwlwifi]
 [<ffffffffa0722a6f>] iwl_pcie_txq_stuck_timer+0xcf/0x3b0 [iwlwifi]
 [<ffffffff816313fd>] ? intel_pstate_timer_func+0x31d/0x3f0
 [<ffffffffa07229a0>] ? iwl_pcie_txq_unmap+0xf0/0xf0 [iwlwifi]
 [<ffffffff81109109>] call_timer_fn+0x39/0x110
 [<ffffffffa07229a0>] ? iwl_pcie_txq_unmap+0xf0/0xf0 [iwlwifi]
 [<ffffffff811097ea>] run_timer_softirq+0x24a/0x300
 [<ffffffff810a5cdb>] __do_softirq+0x10b/0x2d0
 [<ffffffff810a60e5>] irq_exit+0x145/0x150
 [<ffffffff817a4d76>] smp_apic_timer_interrupt+0x46/0x60
 [<ffffffff817a2dfe>] apic_timer_interrupt+0x6e/0x80
 <EOI>  [<ffffffff81632650>] ? poll_idle+0x10/0x80
 [<ffffffff81631fab>] cpuidle_enter_state+0x6b/0x1f0
 [<ffffffff81632167>] cpuidle_enter+0x17/0x20
 [<ffffffff810e5361>] cpu_startup_entry+0x2e1/0x3f0
 [<ffffffff817920dc>] rest_init+0x7c/0x80
 [<ffffffff81d5202c>] start_kernel+0x4a3/0x4c4
 [<ffffffff81d51120>] ? early_idt_handler_array+0x120/0x120
 [<ffffffff81d51339>] x86_64_start_reservations+0x2a/0x2c
 [<ffffffff81d51485>] x86_64_start_kernel+0x14a/0x16d

Comment 3 Erich Cordoba 2015-09-01 04:39:39 UTC
Reviewing the logs shows : 
[83674.162157] iwlwifi 0000:3d:00.0: Failed to wake NIC for hcmd
[83674.162176] iwlwifi 0000:3d:00.0: Error sending SCAN_OFFLOAD_REQUEST_CMD: enqueue_hcmd failed: -5
[83674.162177] iwlwifi 0000:3d:00.0: Scan failed! ret -5
[83684.083850] iwlwifi 0000:3d:00.0: Queue 2 stuck for 10000 ms.
[83684.083857] iwlwifi 0000:3d:00.0: Current SW read_ptr 141 write_ptr 153

Which looks similar to this kernel bug: 

https://bugzilla.kernel.org/show_bug.cgi?id=91171

There is a workaround to restore the wifi functionality: 

echo 1 > /sys/bus/pci/devices/<mydevice>/remove
echo 1 > /sys/bus/pci/rescan
killall wpa_supplicant

Comment 4 Justin M. Forbes 2015-10-20 19:40:06 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.

Comment 5 Dan Loomis 2015-10-21 06:13:14 UTC
This was always a random and infrequent failure.   I updated to the new kernel last Friday and ran that system a couple of hours then and a couple of hours today.  I haven't used the system much this month because I'm running F23 Beta on a different system.   I'll run that system for awhile to see if the problem recurs.

Comment 6 Josh Boyer 2015-10-21 11:14:02 UTC
Closing this out for now.  If it reoccurs, please reopen.

Comment 7 Dan Loomis 2016-05-09 05:48:18 UTC
This has recurred a number of times in Fedora 23 on two systems (Both HP ZBook 17 G2 workstations.)    I reopened it as new, changed the version to 23.  Please change as appropriate.   

According to the problem reporting tool this has happened 27 times on this system since it was first logged three months ago.   It's infrequent enough to be a recurring annoyance.

Comment 8 Laura Abbott 2016-09-23 19:48:38 UTC
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.

Comment 9 Dan Loomis 2016-09-25 03:38:34 UTC
I have not seen this happen on this system since performing a full Fedora 24 install on June 25, 2016.


Note You need to log in before you can comment on or make changes to this bug.